Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface NamedDomainObjectSet

    org.gradle.api.NamedDomainObjectSet
      java.lang.Iterable
          org.gradle.api.DomainObjectCollection
              org.gradle.api.NamedDomainObjectCollection
                  java.util.Collection

All Superinterfaces:
  DomainObjectCollection, NamedDomainObjectCollection

    public interface NamedDomainObjectSet
    extends NamedDomainObjectCollection, java.util.Set

A specialisation of NamedDomainObjectCollection that also implements java.util.Set and orders objects by their inherent name.

All object equality is determined in terms of object names. That is, calling `remove()` with an object that is NOT equal to an existing object in terms of `equals`, but IS in terms of name equality will result in the existing collection item with the equal name being removed.

Parameters:
  `` - The type of element in the set

Method Summary
`java.util.Set` | `findAll(groovy.lang.Closure spec)` {@inheritDoc}
`NamedDomainObjectSet` | `matching(Spec spec)` {@inheritDoc}
`NamedDomainObjectSet` | `matching(groovy.lang.Closure spec)` {@inheritDoc}
`NamedDomainObjectSet` | `withType(java.lang.Class type)` {@inheritDoc}

Methods inherited from interface java.util.Set
java.util.Set#add(java.lang.Object), java.util.Set#equals(java.lang.Object), java.util.Set#hashCode(), java.util.Set#clear(), java.util.Set#size(), java.util.Set#isEmpty(), java.util.Set#contains(java.lang.Object), java.util.Set#addAll(java.util.Collection), java.util.Set#toArray(), java.util.Set#toArray([Ljava.lang.Object;), java.util.Set#iterator(), java.util.Set#remove(java.lang.Object), java.util.Set#removeAll(java.util.Collection), java.util.Set#containsAll(java.util.Collection), java.util.Set#retainAll(java.util.Collection)

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, allObjects, allObjects, findAll, findAll, getAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface java.util.Collection
java.util.Collection#add(java.lang.Object), java.util.Collection#equals(java.lang.Object), java.util.Collection#hashCode(), java.util.Collection#clear(), java.util.Collection#size(), java.util.Collection#isEmpty(), java.util.Collection#contains(java.lang.Object), java.util.Collection#addAll(java.util.Collection), java.util.Collection#toArray(), java.util.Collection#toArray([Ljava.lang.Object;), java.util.Collection#iterator(), java.util.Collection#remove(java.lang.Object), java.util.Collection#removeAll(java.util.Collection), java.util.Collection#containsAll(java.util.Collection), java.util.Collection#retainAll(java.util.Collection)

Method Detail

### findAll

    public java.util.Set findAll(groovy.lang.Closure spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectSet matching(Spec spec)

  {@inheritDoc}

### matching

    public NamedDomainObjectSet matching(groovy.lang.Closure spec)

  {@inheritDoc}

### withType

    public NamedDomainObjectSet withType(java.lang.Class type)

  {@inheritDoc}

Groovy Documentation